Subject: Re: bug#43495: Error when sorting threads in Gnus

From: Igor Wojnicki <[email-masked]>
Date: Sat, 19 Sep 2020 18:43:31 +0200

And I think it should be rather:

(setq gnus-thread-sort-functions
       '((not gnus-thread-sort-by-most-recent-date)))

which makes the error go away :)

On 9/19/20 6:34 PM, Igor Wojnicki wrote:
> I think I found what caused the error. I had sorting defined as:
> (setq gnus-thread-sort-functions
>   '(not gnus-thread-sort-by-most-recent-date))
> 
> If I comment it out the error goes away.
> 
> 
> On 9/19/20 4:53 PM, Lars Ingebrigtsen wrote:
>> Igor Wojnicki <[email-masked]> writes:
>>
>>> If I try to open an larger imap group (a few thousand messages both
>>> read and unread) Gnus gives a warning: Wrong number of arguments: #, 2
>>> And the Summary window is empty or it contains only some of the
>>> messages.
>>
>> [...]
>>
>>> Debugger entered--Lisp error: (wrong-number-of-arguments #<subr null>
>>> 2)
>>>    not(([26311 "GitLab email verification request" "GitLab
>>> <[email-masked]>" #("Fri, 10 Jul 2020 02:32:05 +0000" 0 1
>>> (gnus-time (24327 54053)))
>>
>> [...]
>>
>>>    gnus-summary-prepare()
>>
>> It looks like the backtrace has to come from something in either
>> gnus-thread-sort-functions, gnus-article-sort-functions or
>> gnus-sort-gathered-threads-function.  What's the value of those three
>> variables?
>>
> 

-- 
dr inż. Igor Wojnicki,
dyrektor ds. technologii,
GRADIS Sp. z o.o.